Version: 0.38.0
Release: 1%{?dist}
Name: lago
Summary: System testing framework
BuildArch: noarch
Group: System Environment/Libraries
License: GPLv2+
URL: https://github.com/lago-project/lago
Source0: https://resources.ovirt.org/repos/%{name}/0.0/src/%{name}/%{name}-%{version}.tar.gz

###################### lago package
Requires: python-%{name} = %{version}

%description
LAGO System testing framework.
Deploy and tear down environments of several virtual machines

%prep
%setup -q -n %{name}-%{version}

%build
LAGO_VERSION=%{version} %{py2_build}

%install
LAGO_VERSION=%{version} %{py2_install}
install -d -m 755 %{buildroot}/%{_sysconfdir}/lago
PYTHONPATH="$PYTHONPATH:%{buildroot}/%{python_sitelib}"\
             %{buildroot}/usr/bin/lago --ignore-warnings generate-config > "%{buildroot}/%{_sysconfdir}/lago/lago.conf"
sed -i 's/^\([^#]\)\(.*\)/#\0/' "%{buildroot}/%{_sysconfdir}/lago/lago.conf"
chmod 0644 "%{buildroot}/%{_sysconfdir}/lago/lago.conf"

install -d %{buildroot}/var/lib/lago/subnets
install -d %{buildroot}/var/lib/lago/store
install -d %{buildroot}/var/lib/lago/repos

install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d
install -d -m 755 %{buildroot}%{_sysconfdir}/sudoers.d

install -p -D -m 644 etc/polkit/*.pkla %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/
install -p -D -m 644 etc/sudo/* %{buildroot}%{_sysconfdir}/sudoers.d/

# this is for python-lago-ovirt
install -d %{buildroot}/var/lib/lago/reposync
install -d -m 755 %{buildroot}%{_sysconfdir}/firewalld/services
install -p -D -m 644 etc/firewalld/services/* %{buildroot}%{_sysconfdir}/firewalld/services/

%files

###################### python-lago package
%package -n python-%{name}
Summary: Library to perform lago operations
BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-stevedore
BuildRequires: python-setuptools
BuildRequires: python-magic
BuildRequires: python-lockfile
BuildRequires: python-yaml
BuildRequires: pyxdg
BuildRequires: python-xmltodict
BuildRequires: python-lxml
BuildRequires: libvirt-python
BuildRequires: python-enum
BuildRequires: python-scp
BuildRequires: python2-rpm-macros
%if 0%{?fedora} >= 24
BuildRequires: python2-configparser
BuildRequires: python2-paramiko >= 2.1.1
%else
BuildRequires: python-configparser
BuildRequires: python2-paramiko
%endif

%if 0%{?fedora} >= 23
BuildRequires: python2-dulwich
BuildRequires: python2-pbr
%else
BuildRequires: python-pbr
BuildRequires: python-dulwich
%endif
BuildRequires: python-flake8
BuildRequires: python-nose
BuildRequires: git


Requires: python
Requires: libguestfs-tools
Requires: libvirt >= 1.2.8
Requires: libvirt-python
Requires: python-libguestfs
Requires: python-lxml
Requires: python-lockfile
Requires: python-magic
Requires: python-pbr
Requires: python-xmltodict
Requires: python-scp
Requires: python-setuptools
Requires: python-stevedore
Requires: python-yaml
Requires: python-enum
Requires: pyxdg
%if 0%{?fedora} >= 24
Requires: python2-configparser
Requires: python2-paramiko >= 2.1.1
%else
Requires: python-configparser
Requires: python2-paramiko
%endif
%if 0%{?rhel}
Requires: qemu-img-rhev >= 2.1.2
Requires: qemu-kvm-rhev >= 2.1.2
%else
Requires: qemu-img >= 2.1.2
Requires: qemu-kvm >= 2.1.2
%endif
Requires: git
Requires: sudo
%{?python_provide:%python_provide python2-lago}

%description -n python-%{name}

%files -n python-%{name}
%doc AUTHORS COPYING README.rst
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}/plugins/*.py*
%{python2_sitelib}/%{name}_template_repo/*.py*
%{python2_sitelib}/%{name}/providers/*.py*
%{python2_sitelib}/%{name}/providers/libvirt/*.py*
%{python2_sitelib}/%{name}/providers/libvirt/templates/*.xml
%{python2_sitelib}/%{name}-%{version}-py*.egg-info
%{_bindir}/lagocli
%{_bindir}/lago

%config(noreplace) %{_sysconfdir}/lago/lago.conf
%config(noreplace) %{_sysconfdir}/polkit-1/localauthority/50-local.d/*
%config(noreplace) %{_sysconfdir}/sudoers.d/*

%dir %attr(2775, root, lago) /var/lib/lago/
%dir %attr(2775, root, lago) /var/lib/lago/subnets/
%dir %attr(2775, root, lago) /var/lib/lago/store/
%dir %attr(2775, root, lago) /var/lib/lago/repos/


%pre -n python-%{name}
if [[ "$1" -eq 1 ]]; then
    groupadd lago
fi

%postun -n python-%{name}
if [[ "$1" -eq 0 ]]; then
    groupdel lago
fi


###################### lago-ovirt package
%package -n %{name}-ovirt
Summary: oVirt extension for lagocli
BuildArch: noarch
BuildRequires: python2-devel
Requires: %{name} = %{version}
Requires: python-%{name}-ovirt = %{version}

%files -n %{name}-ovirt

%description -n %{name}-ovirt

###################### python-lago-ovirt package
%package -n python-%{name}-ovirt
Summary: Library for ovirt specific facitilies
BuildArch: noarch
BuildRequires: python2-devel
Requires: python
Requires: python-%{name} = %{version}
Requires: python-magic
Requires: python-nose
Requires: ovirt-engine-sdk-python
Requires: createrepo
Requires: repoman >= 2.0.12
Requires: yum-utils
Requires: rpm-build
Requires: xz
%{?python_provide:%python_provide python2-lago-ovirt}

%description -n python-%{name}-ovirt

%files -n python-%{name}-ovirt
%{python2_sitelib}/ovirt%{name}/*.py*
%{python2_sitelib}/ovirt%{name}/data/*.yaml
%config(noreplace) %{_sysconfdir}/firewalld/services/*
%dir %attr(2775, root, lago) /var/lib/lago/reposync/

%post -n python-%{name}-ovirt
if which firewall-cmd &>/dev/null; then
    # don't touch if ovirtlago service is already enabled
    if ! firewall-cmd --query-service=ovirtlago --zone=public &>/dev/null; then
        firewall-cmd --reload &> /dev/null
        firewall-cmd --permanent --zone=public --add-service=ovirtlago &> /dev/null
        firewall-cmd --reload &> /dev/null
    fi
fi


%preun  -n python-%{name}-ovirt
if [[ "$1" == "0" ]]; then
    # "0" indicates uninstallation
    # "1" indicates upgrade - and then we do nothing
    if which firewall-cmd &>/dev/null; then
        if firewall-cmd --query-service=ovirtlago --zone=public &>/dev/null; then
            firewall-cmd --permanent --zone=public --remove-service=ovirtlago &> /dev/null
            firewall-cmd --reload &> /dev/null
        fi
    fi
fi

%changelog
* Thu Apr 27 2017 ovirt-infra <infra-private@ovirt.org> - 0.38.0
    c9f53d4d: Merge pull request #525 from
              lago-project/do_not_export_dns_records
    047b8e50: Remove dns entries from exported init file

* Thu Apr 27 2017 ovirt-infra <infra-private@ovirt.org> - 0.37.3
    fcf0fcd3: Merge pull request #520 from
              lago-project/improve_lago_ovirt_status
    5c864202: Improve lago ovirt status

* Thu Apr 27 2017 ovirt-infra <infra-private@ovirt.org> - 0.37.2
    c5687ae0: Merge pull request #519 from
              lago-project/print_message_lago_ovirt_start
    9cf732ef: Print informative message after "lago ovirt start"

* Thu Apr 27 2017 ovirt-infra <infra-private@ovirt.org> - 0.37.1
    4520202d: Merge pull request #518 from nvgoldin/increase_start_vm_timeout
    33ca8c02: ovirtlago: reconfigure timeouts in 'lago ovirt start'

* Sun Apr 23 2017 ovirt-infra <infra-private@ovirt.org> - 0.37.0
    dc307d06: Merge pull request #515 from nvgoldin/el6_dom_template
    36f29f70: Use a separate template domain for el6 distro
    d522b594: Switch back to serial console in for el6

* Sun Apr 23 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.16
    2e33c9da: Merge pull request #513 from nvgoldin/dns_backward
    37aeea80: Save the version which was used to generate the prefix
    c913a866: Make DNS changes introduced in 6386bc8c backward compatible

* Sun Apr 23 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.15
    b6cce03a: Merge pull request #512 from
              lago-project/allow_to_define_skip_bootstrap_in_init
    24f7d57e: Control bootstrap in the init file

* Wed Apr 19 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.14
    0afdf1f5: Merge pull request #511 from nvgoldin/wait_host_activate
    5ab26460: ovirtlago: assert ovirt-engine and vdsmd services are running

* Tue Apr 18 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.13
    9bc8129c: Merge pull request #501 from lago-project/adding_virt_customize
    8b45b401: Adding the abilty to customize images during init

* Wed Apr 12 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.12
    91b93b32: Merge pull request #506 from
              lago-project/stop_using_exc_info_in_log_task
    aea8099e: Stop using sys.exc_info in LogTask

* Tue Apr 11 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.11
    dec88485: Merge pull request #500 from nvgoldin/dns
    6386bc8c: Move to a single DNS server per management network
    0d439487: tests: add network unit tests to Prefix
    219c04ec: Adding DHCP reservation to unmanaged networks

* Mon Apr 10 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.10
    706d4b4a: Merge pull request #507 from nvgoldin/yapf_fixes
    d43f84b8: yapf: new version code formatting fixes

* Sun Apr 09 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.9
    646d9f86: Merge pull request #505 from nvgoldin/libguestfs_debug
    ab687b14: automation: bring back libguestfs debug mode

* Sun Apr 09 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.8
    63a15588: Merge pull request #503 from nvgoldin/dont_pin_yapf
    e5c3b959: tests: don't pin yapf version

* Sat Apr 08 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.7
    370f99c7: Merge pull request #502 from nvgoldin/revert_sph
    907f66e9: Revert "docs: pin sphinx version"

* Tue Apr 04 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.6
    e254c338: Merge pull request #499 from nvgoldin/functional_testlib
    4100ab48: tests: add prefix and cpu tests to ovirt.runtest

* Mon Apr 03 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.5
    6a9da5f0: Merge pull request #481 from nvgoldin/docs_cpu
    04a8e8de: [docs] Add supported CPU parameters

* Mon Apr 03 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.4
    d0fa45cf: Merge pull request #488 from nvgoldin/check_sds
    12ab97d5: ovirtlago: import sdk4.types as otypes
    59c0466c: ovirtlago: Start all VMs in 'lago ovirt start'
    d1d1ae48: ovirtlago: move OvirtPrefix from __init__.py to prefix.py
    e3b78862: ovirtlago: detect available SDKs from sys.modules
    2d1e5283: ovirtlago: add 'require_sdk(version)' decorator

* Sun Apr 02 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.3
    2be906a3: Merge pull request #470 from nvgoldin/custom_cpu
    4ac35620: Refactor generated CPU XML
    9937b7a2: Move libvirt provider to a specific directory
    32e52cfd: Add lago/vm.py
    3f55408a: Import lxml.etree as ET
    bf0a64d7: Unit tests for cpu.py
    5328bacf: ovirtlago: refactor get_ovirt_cpu_family method

* Sun Apr 02 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.2
    c1590b12: Merge pull request #497 from nvgoldin/sphinx_workaround
    4d1cfc5c: docs: pin sphinx version

* Mon Mar 27 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.1
    1cc2134a: Merge pull request #496 from danielBelenky/master
    bea9f07d: modified junit reports naming to match the standard ci convention

* Tue Mar 21 2017 ovirt-infra <infra-private@ovirt.org> - 0.36.0
    8c801f8a: Merge pull request #491 from
              lago-project/increase_shutdown_timeout
    1893ae30: Increase shutdown timeout

* Tue Mar 21 2017 ovirt-infra <infra-private@ovirt.org> - 0.35.13
    e42a6d56: Merge pull request #490 from lenoch/control-enable-dns
    2c2052d1: Let us control if DNS should be enabled in a libvirt network.

* Mon Mar 20 2017 ovirt-infra <infra-private@ovirt.org> - 0.35.12
    14f179f4: Merge pull request #485 from nvgoldin/add_stop_start
    3b136c9d: ovirtlago: add 'ovirt start'/'ovirt stop'

* Mon Mar 20 2017 ovirt-infra <infra-private@ovirt.org> - 0.35.11
    fcdc165b: Merge pull request #452 from mykaul/qcow2_changes
    179f5114: Change lazy_refcounts to ON in the snapshots, move to
              virtio-console
    dc2e4e87: Merge branch 'master' into qcow2_changes
    1c72729a: Merge branch 'master' into qcow2_changes

* Mon Mar 20 2017 ovirt-infra <infra-private@ovirt.org> - 0.35.10
    4cf0197f: Merge pull request #479 from mykaul/remove_mark_used
    ac237733: Remove the whole marking of usage of templates
    e3f968de: Merge branch 'master' into remove_mark_used
    009c3b34: Merge branch 'master' into remove_mark_used

* Mon Mar 20 2017 ovirt-infra <infra-private@ovirt.org> - 0.35.9
    2ab669fd: Merge pull request #482 from
              lago-project/drop_paramiko_version_requirement
    8802fe09: Revert "spec: require paramiko >= 1.16.1-2 on el7"

* Mon Mar 20 2017 ovirt-infra <infra-private@ovirt.org> - 0.35.8
    d26883db: Merge pull request #480 from lago-project/add_shutdown_cmd
    22ae3ec1: Adding lago shutdown

* Thu Mar 16 2017 ovirt-infra <infra-private@ovirt.org> - 0.35.7
    61d13934: Merge pull request #471 from mykaul/raise_ioerror
    789ee258: Merge branch 'master' into raise_ioerror
    2c23ac21: Print the URL if an IO error occurred.

* Thu Mar 16 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.35.6
    0ea1688e: Merge pull request #477 from lago-project/export_init_file
    34417289: Generate an init file that can be used with exported images

* Thu Mar 16 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.35.5
    d12ed682: Merge pull request #476 from nvgoldin/drop_check_deps
    c8a7b092: Drop check_deps function

* Tue Mar 14 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.35.4
    e0ae7b0c: Merge pull request #457 from nvgoldin/informative_workdir_exp
    665d77f0: Print informative message when a workdir is not found

* Tue Mar 14 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.35.3
    a1c4a076: Merge pull request #474 from mykaul/sysprep_update
    f58acacd: Allow to call sysprep.update() which will update all packages

* Mon Mar 06 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.35.2
    ff2475a4: Merge pull request #466 from nvgoldin/init_fail_early
    a2ca17a7: Don't leave malformed workdir on 'lago init' failure

* Mon Mar 06 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.35.1
    0c07457a: Merge pull request #467 from lago-project/fix_export_test
    1bb52aba: Destroy layered env at the end of the tests

* Tue Feb 28 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.35.0
    b2aacea4: Merge pull request #459 from mykaul/start_stop_hosts
    e83907a6: Add 'start-hosts', 'stop-hosts', 'stop-vms', 'status' to ovirt
              sub-command

* Mon Feb 27 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.34.6
    d070675e: Merge pull request #458 from
              lago-project/adding_basic_video_device
    03634af1: Adding basic video device

* Sun Feb 26 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.34.5
    74b30c3f: Merge pull request #444 from lenoch/explicit-python2
    66d47401: Use python2 explicitly.

* Sun Feb 26 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.34.4
    cf0d6ab3: Merge pull request #455 from mykaul/stop_after_failure
    ef9a1ecf: Revert bfea3cc4d104381cd6e5a2ffd9d325843f5ac5f0 - stop on
              failures

* Sat Feb 25 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.34.3
    4b25a7b4: Merge pull request #450 from nvgoldin/revert_paramiko
    79249c14: spec: require paramiko >= 1.16.1-2 on el7
    3ba0e79c: Revert "Make paramiko v1.16 work with python2-crypto again"

* Wed Feb 22 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.34.2
    8e55db61: Merge pull request #401 from lago-project/export_feature
    f8034519: Added the ability to export images from a prefix

* Mon Feb 20 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.34.1
    67c3088b: Merge pull request #453 from nvgoldin/reorder_packages
    f58e3b7d: automation: sort mock configurations

* Tue Feb 07 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.34.0
    ec2a1a9d: Merge pull request #434 from nvgoldin/doc_fixes
    6c320227: [docs] reposetup.merge sphinix formatting fix

* Tue Feb 07 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.33.7
    288153e9: Merge pull request #435 from nvgoldin/uuid
    30798869: utils: don't log twice run_command
    c89186a6: utils: add to run_command a uuid identifier
    26858549: utils: add uuid to LogTask

* Tue Feb 07 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.33.6
    aabe5754: Merge pull request #436 from nvgoldin/fix_service
    3f6e64de: spec: fix firewalld ovirtlago dropped on upgrade

* Tue Feb 07 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.33.5
    e642c5b0: Merge pull request #446 from nvgoldin/safe_uid
    cca6c1ff: safely check qemu uid after snapshot

* Tue Feb 07 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.33.4
    e0e22df0: Merge pull request #445 from nvgoldin/monkeypatch_paramiko
    90fd2b71: spec: require python2-paramiko >= 2.1.1 on fc>=24
    4e69d6b3: Make paramiko v1.16 work with python2-crypto again
    801d6add: tests: enforce execution of functional tests with lago gid
    67989e1f: automation: clean yum/dnf metadata

* Sun Feb 05 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.33.3
    d77565c0: Merge pull request #443 from nvgoldin/fix_libguestfs_err
    bf2e5e26: Enforce python2-crypto version on fc24/el7
    490fd1d1: tests: disable cirros workarounds for none-cirros vms
    e63257c9: tests: change full VMs distros

* Wed Jan 25 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.33.2
    4201bb0f: Merge pull request #437 from mykaul/remove_video
    e90ff76f: Remove the video device.

* Fri Jan 20 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.33.1
    f5c73e59: Merge pull request #428 from machacekondra/ansible_hosts
    b99a9f42: Use Python 2/3 compatible print function for cmd.py
    0fd6d454: Add command to generate ansible hosts file

* Tue Jan 17 2017 Gal Ben Haim <galbh2@gmail.com> - 0.33.0
    9425bc3c: Merge pull request #433 from lago-project/revert_repoman_conf
    afd44891: Revert "ovirtlago: allow passing custom repoman filters"

* Tue Jan 17 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.32.0
    a7a99aee: Merge pull request #431 from nvgoldin/revert_ovirt_cpu
    66704a0c: Revert "ovirtlago: drop get_ovirt_cpu_family"

* Mon Jan 16 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.31.4
    6dd96515: Merge pull request #418 from lago-project/adding_qemu_kvm_ev_dep
    a7d71ad2: Force usage of qemu-kvm-rhev on centos/rhel

* Mon Jan 16 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.31.3
    f78e351b: Merge pull request #425 from nvgoldin/custom_repoman_conf
    41553b76: ovirtlago: allow defining custom repoman config file
    76bf0bae: ovirtlago: don't download source RPMs by default
    208bfc34: ovirtlago: allow passing custom repoman filters
    b816daf8: ovirtlago: remove deprecated per-project repo directories

* Mon Jan 16 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.31.2
    7f25ef33: Merge pull request #427 from nvgoldin/he_cpu
    f31b74c4: ovirtlago: drop get_ovirt_cpu_family
    548a32a6: Allow configuring cpu_model per libvirt VM

* Mon Jan 16 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.31.1
    5e647d32: Merge pull request #424 from lveyde/patch-1
    8629d41f: Return SandyBridge CPU family

* Mon Jan 09 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.31.0
    c8ee2190: Merge pull request #408 from nvgoldin/reposync_no_file
    2cef75b4: ovirtlago: allow running reposync with custom_sources only

* Mon Jan 09 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.30.4
    5fee77b2: Merge pull request #415 from nvgoldin/collect_libvirt
    3a603784: ovirtlago: drop ovirt.collect tests
    a345d4d8: ovirtlago: collect entire /var/log directory

* Sun Jan 08 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.30.3
    b12bad3a: Merge pull request #421 from nvgoldin/slow_start
    3dea5d04: workaround for cirros images not getting ip on boot

* Wed Jan 04 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.30.2
    7a990a30: Merge pull request #397 from mz-pdm/fix-rpmbuild
    ee5327a4: Add build dependency on python2-rpm-macros

* Wed Jan 04 2017 Lago CI bot <dcaroest+cibot@redhat.com> - 0.30.1
    bb846b43: Merge pull request #398 from mz-pdm/fix-cpu-model
    05ccf724: More robust CPU selection

* Mon Dec 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.30.0
    bfd635d8: Merge pull request #400 from mykaul/multiple_ips
    d7b462ed: Merge branch 'master' into multiple_ips
    1dc030f5: Add a function to get all the IPs of a VM
    dbb538e5: Merge branch 'master' into multiple_ips

* Mon Dec 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.10
    d62571fa: Merge pull request #385 from leongold/master
    39babc10: added test_equals* tests in order for testlib to include tests

* Mon Dec 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.9
    b79fc534: Merge pull request #404 from mykaul/master
    8855d669: Fix IPv6 subnet allocation.
    d6075c21: Merge branch 'master' into master
    7b9882e3: Merge branch 'master' into master
    43eda7fa: Merge branch 'master' into master

* Mon Dec 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.8
    ca83aab0: Merge pull request #406 from nvgoldin/sshinject
    ac4f2df0: Revert usage of 'ssh-inject' in sysprep

* Mon Dec 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.7
    d94b452f: Merge pull request #383 from nvgoldin/guestfs_backend
    4f6eb28d: use LIBGUESTFS_BACKEND variable if set

* Mon Dec 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.6
    71b93315: Merge pull request #382 from nvgoldin/continue_on_failure
    0f8cee80: ovirtlago: drop exception handling in test_sequence_gen

* Sun Dec 25 2016 Yaniv Kaul <ykaul@redhat.com> - 0.29.5
    c58abf06: Merge pull request #395 from mykaul/inject-keys
    9f9e7185: Small sysprep fixes
    649fb8b0: Merge branch 'master' into inject-keys
    f59f587b: Merge branch 'master' into inject-keys
    453b167f: Merge branch 'master' into inject-keys

* Sun Dec 25 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.4
    60bde7d9: Merge pull request #388 from nvgoldin/extract_scp
    f7c5762a: Refactor collect command to use SCP

* Sun Dec 25 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.3
    62c92b12: Merge pull request #405 from nvgoldin/wait_net
    511e3dc5: Check network is active after creation

* Mon Dec 19 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.2
    f4b86af2: Merge pull request #396 from mykaul/fix_apiv4
    ed77c957: Fix oVirt APIv4 creation

* Mon Dec 19 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.1
    12b7fbbf: Merge pull request #391 from nvgoldin/guestfs_params
    afec1ac3: automation: configure KVM and libguestfs parameters

* Sun Dec 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.29.0
    3cf8d87c: Merge pull request #377 from nvgoldin/log_skiptest
    916cd379: ovirtlago: log skipped tests to stdout

* Sun Dec 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.28.5
    45a445b7: Merge pull request #376 from mykaul/sysprep_edit
    cf5ae5e7: Merge branch 'master' into sysprep_edit
    b2511c45: Reduce boot time

* Sun Dec 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.28.4
    955974de: Merge pull request #372 from nvgoldin/caps_bug
    53262943: ovirtlago: fix bug in capabilities

* Wed Dec 07 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.28.3
    fbb96183: Merge pull request #374 from mykaul/fix_reposetup
    1e935e94: Fix reposync - use 'continue', not 'return'

* Tue Dec 06 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.28.2
    48bffab0: Merge pull request #369 from nvgoldin/bz1399235
    e8a6edb7: make reposync more verbose and fix bz 1399235

* Mon Dec 05 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.28.1
    e8d11e3d: Merge pull request #370 from mykaul/scsi_on_demand
    ef337fff: Create the SCSI controller only if needed.

* Thu Nov 24 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.28.0
    ee15dfbb: Merge pull request #356 from lago-project/pkg_resources_exception
    81152cd7: Fixed exception handling when checking for deps

* Thu Nov 24 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.27.5
    ab5aa8a6: Merge pull request #366 from mykaul/skip_freeze
    397321e5: Switch to optionall freeze the FS before logs extraction.
    5fe33adb: Merge branch 'master' into skip_freeze

* Wed Nov 23 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.27.4
    c577b8d7: Merge pull request #365 from mykaul/guess_host_name_in_shell
    d90f2b50: For ease of use, connect to a host even if only the suffix is
              given.

* Tue Nov 22 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.27.3
    cb48ad59: Merge pull request #367 from nvgoldin/update_yapf
    d891034b: Bump yapf version 0.7.1 -> 0.14.0

* Sat Nov 12 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.27.2
    fa588e4f: Merge pull request #360 from nvgoldin/ovirtlago_cleanup_i
    a1bf8dc6: [ost-plugin] cleanup unused commands

* Wed Nov 09 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.27.1
    290c49a3: Merge pull request #361 from nvgoldin/tests_generate_config
    587eba28: Add 'generate-config' verb to functional tests list

* Wed Nov 02 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.27.0
    8ae1406e: Merge pull request #344 from nvgoldin/docs_generate_config
    7a790a21: [docs] lago.conf customization

* Mon Oct 31 2016 Eyal Edri <eedri@redhat.com> - 0.26.9
    45e30294: Merge pull request #342 from didib/add-vm-type-ovirt-he-host
    b0161c62: Follow PEP8
    631202f1: Add vm-type ovirt-he-host
    85132c8e: Merge branch 'master' into add-vm-type-ovirt-he-host

* Mon Oct 31 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.8
    acc38efe: Merge pull request #347 from nvgoldin/order_comments
    b1ed7bab: Print help lines before parameters in generate-config cmd

* Sun Oct 30 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.7
    83cd3bb6: Merge pull request #352 from lago-project/fix_stevedore
    1e3ebe13: Allow using lago on systems which runs setevedore 1.1.0

* Fri Oct 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.6
    62b1a778: Merge pull request #343 from nvgoldin/unknown_vm_exception
    b96ae754: Merge branch 'master' into unknown_vm_exception
    ab10afb2: Print informative message when an unrecognized VM type is used
    b37aaab5: Merge branch 'master' into unknown_vm_exception

* Thu Oct 27 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.5
    4f5a995b: Merge pull request #351 from lago-project/add_deps
    7117e18c: Merge branch 'master' into add_deps
    f0875b11: Added pyxdg and configparser to requirements.txt

* Thu Oct 27 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.4
    cb2250bf: Merge pull request #349 from nvgoldin/packaging_python_pbr
    cc752cdd: Merge branch 'master' into packaging_python_pbr
    53fe1cdc: Update fedora>23 to use python2-pbr

* Thu Oct 27 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.3
    73a0b901: Merge pull request #348 from nvgoldin/docs_add_epel
    84051f7b: [docs] add epel to installation guide for el7
    66f95b12: Merge remote-tracking branch 'upstream/master' into docs_add_epel

* Sat Oct 15 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.2
    48ec964c: Merge pull request #297 from
              pilou-/allow_non_root_user_to_install
    be396339: Install configuration files using RPM instead of pip packaging

* Thu Oct 13 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.1
    41878300: Merge pull request #324 from nvgoldin/generate_config
    a771a9d7: Auto-generate lago.conf in RPM spec file
    0dad8909: Load configurations from the CLI plugins

* Mon Oct 10 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.26.0
    f070ef82: Merge pull request #338 from mykaul/prep_for_v4_ovirt_api
    c5dfc9c4: Prep for oVirt v4 API

* Sun Oct 09 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.25.9
    640247d8: Merge pull request #293 from irosenzw/change_wait_for_ssh
    273df672: Changing the ssh connection waiting method.

* Thu Oct 06 2016 Yaniv Kaul <ykaul@redhat.com> - 0.25.8
    4fdd8462: Merge pull request #339 from mykaul/continue_on_failures
    8ba99721: Merge branch 'master' into continue_on_failures
    bfea3cc4: Continue testing on test failures.

* Sun Oct 02 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.25.7
    6152127f: Merge pull request #337 from eedri/docs
    c66cd924: restore meaningfull README file
    4573c7e9: add also link to main README.rst file
    24c6afcb: added missing libvirt & user permissions info

* Thu Sep 29 2016 Eyal Edri <eedri@redhat.com> - 0.25.6
    aa093270: Merge pull request #336 from eedri/docs
    24c6afcb: added missing libvirt & user permissions info
    4d20490f: removed selinux section, seems to be working with enforcing also

* Thu Sep 29 2016 Eyal Edri <eedri@redhat.com> - 0.25.5
    95bdb652: Merge pull request #330 from eedri/docs
    eed1fa98: Adding debugging and troubleshooting section
    fc617149: Merge branch 'master' into docs
    26692e59: Moving over get_prefixed_name() to ovirtlago/testlib
    68137950: Merge branch 'master' into docs
    1e63cd89: fixing typos
    327f0b72: Refactoring Lago docs

* Wed Sep 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.25.4
    52b87825: Merge pull request #332 from mykaul/get_prefixed_name
    2447e5ab: Merge branch 'master' into get_prefixed_name
    d255b2fc: Moving over get_prefixed_name() to ovirtlago/testlib

* Wed Sep 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.25.3
    ef90a75e: Merge pull request #296 from pilou-/search_for_kvm_executable_too
    8e5d752c: Ask libvirt for path of kvm executable
    c5158fd9: Don't run flakes on .eggs directory

* Tue Sep 27 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.25.2
    9e48c95b: Merge pull request #329 from mykaul/switch_qemu_ga_with_agent
    627fb675: Replace the order between qemu-ga and qemu-guest-agent.

* Mon Sep 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.25.1
    51158c7c: Merge pull request #327 from lago-project/adding_requirements.txt
    2888b6ea: Added requirements.txt

* Wed Sep 21 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.25.0
    fdd63ae4: Merge pull request #298 from pilou-/make_lease_dir_configurable
    5fb60899: Make lease_dir configurable

* Tue Sep 20 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.24.5
    8845853f: Merge pull request #323 from mykaul/get_cpu_caps
    350db807: Merge branch 'master' into get_cpu_caps
    83a7f68a: Add host CPU model detection

* Tue Sep 20 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.24.4
    1d7722a6: Merge pull request #322 from rafaelmartins/master
    9f423604: utils: fixed typo

* Tue Sep 20 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.24.3
    3dd77113: Merge pull request #318 from lago-project/add_boot_menu
    26e9dd71: Adding boot menu

* Sun Sep 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.24.2
    061207c6: Merge pull request #314 from mykaul/add_serial_to_disks
    c0baab76: Add serial number to disks.

* Wed Sep 07 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.24.1
    27856ea9: Merge pull request #306 from mykaul/virtio-scsi
    af1c52d6: virtio-scsi support in Lago
    6334cc2b: Merge branch 'master' into virtio-scsi

* Sun Sep 04 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.24.0
    531bd754: Merge pull request #303 from
              lago-project/refactor_engine_api_request
    41a15764: Removed redundant checks when getting ovirt api

* Sun Sep 04 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.23.4
    b17a5c29: Merge pull request #304 from mykaul/DNS
    783aae26: Add DNS and IPv6 support

* Thu Sep 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.23.3
    ee7b814f: Merge pull request #301 from lago-project/flat_output_plugin
    1f6fc70f: Added flat output formatter

* Mon Aug 22 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.23.2
    ed6371fa: Merge pull request #294 from sandrobonazzola/master
    ca3c023b: reposetup: be more verbose on reposync failure
    13e921eb: Merge branch 'master' into master

* Tue Aug 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.23.1
    030f6e76: Merge pull request #279 from mpolednik/libvirt-auth
    ed219883: libvirt: add auth

* Mon Jul 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.23.0
    14d884c0: Merge pull request #290 from mykaul/get_sanlock_logs
    f5177dd3: Added /var/log/sanlock.log to the log collection from hosts
    904721c0: Merge branch 'master' into get_sanlock_logs

* Mon Jul 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.22.5
    417328cf: Merge pull request #285 from mkopta/systemctl
    4ca2deaf: all "supported" OS use systemctl instead of service

* Sun Jul 17 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.22.4
    722fa248: Merge pull request #286 from mkopta/these
    3b7555e7: s/this/these/

* Thu Jul 14 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.22.3
    6a0089e8: Merge pull request #288 from lago-project/fix_fc24_build
    17c943c2: ci:Replaced fc22 package files with fc24

* Tue Jun 21 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.22.2
    cf146a52: Merge pull request #284 from mkopta/master
    9af5ab8a: typos

* Tue Jun 21 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.22.1
    7678342e: Merge pull request #283 from mkopta/master
    43a3ee3b: denoting root priviliges requirement
    36982c69: typo

* Thu Jun 16 2016 gbenhaim <galbh2@gmail.com> - 0.22.0
    20cc8d58: Fixed a bug where script manager stuck on an

* Thu Jun 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.21.2
    ed677d6b: Merge pull request #280 from
              lago-project/hide_import_error_when_using_old_versions_of_stevedore
    be794dc1: Hide import error when using old versions of stevedore.

* Thu Jun 09 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.21.1
    7c819d4c: Merge pull request #277 from lago-project/fix_issue_#20
    96468eb5: Fixed bug when failing to aquire lock is hidden

* Thu Jun 02 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.21.0
    f28ea953: Merge pull request #272 from
              lago-project/show_plugin_import_exception_only_in_debug_level
    6336d527: Added a callback function to handle import exception

* Tue May 31 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.20.0
    b7034417: Merge pull request #271 from lago-project/ssh_provider_fixes
    c0023367: ovirtlago.virt:Use the spec vm-type if any
    745e6087: Added possibility to specify ssh-user and ssh-pass on initfile
    5d2fc958: Use the spec distro if any
    9ab1f22f: Don't fail if a domain has no disks

* Mon May 30 2016 David Caro <david@dcaro.es> - 0.19.2
    a0ec04d9: Merge pull request #270 from iankko/empty_domain_improved
    99e99b75: Detect (and report) any empty domain name possibly

* Fri May 27 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.19.1
    5b438962: Merge pull request #251 from lago-project/allow_any_pkg_source
    91a66b1d: Yapf fixes
    7f5137d4: reposetup:Don't break on empty sources, just warn
    833bb40b: Yapf fixes
    c7966a35: Using repoman to merge the reposync downloaded repos
    3ad696aa: Added note on how to get repoman to the docs
    40db66f2: Use only-missing to avoid overriding custom rpms
    cef34ec6: Use lago run_command
    7894c1d4: Added --custom-source option to reposetup

* Thu May 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.19.0
    310f566d: Merge pull request #268 from didib/docs
    6365ab5e: docs: refer to ovirt 3.6

* Thu May 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.18.7
    4900822f: Merge pull request #266 from lago-project/fix_typo
    4dba5179: Fix typo on warning message

* Thu May 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.18.6
    2e4ef9cc: Merge pull request #269 from lago-project/improve_collect_tests
    64905e4f: func:Added extra syncs to make sure the disk is written

* Thu May 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.18.5
    975301b1: Merge pull request #265 from lago-project/fix_copy_in
    5c5199e9: Allow copying dirs in the vm

* Thu May 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.18.4
    32b60ce9: Merge pull request #267 from didib/docs
    4e98e0c1: docs: Link to jenkins search result

* Wed May 25 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.18.3
    be9d1342: Merge pull request #260 from lago-project/add_virt_providers
    3ad1340b: Fix type in warning message
    4286dd39: Ordering imports and add missing file headers
    654b382a: Use '-' instead of _ for the plugin names
    4aa3ac8e: Show yapf version being used for the checks
    8fb05be6: Properly override the vm-type on ovirt* hosts
    59126753: ovirtlago: use the vm-provider if it's there
    51375bb8: Added the SSHVMProvider
    00c7d9fd: Adapted test fixtures to the new spec key
    e204df2c: Added some docs about the new plugins
    f754cf15: Moved the services to service provider plugins
    7a4d4aa8: Making virtenv class overridable
    ed9422cc: Allow running the testrun command from anywhere
    70b8086d: Add the new default conf values
    380c5e0f: Added extra depth to show the available plugins
    bb76de5a: Removed old vm class tests
    a8c9d455: Added VMProvider plugin
    f85d1d79: Use the vm-type instead of ovirt-role in the tests

* Wed May 25 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.18.2
    f847451a: Merge pull request #263 from
              iankko/empty_domain_in_network_mapping
    5339d06d: Perform the check if domain name isn't empty string when

* Mon May 23 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.18.1
    e2d93ecc: Merge pull request #261 from mpolednik/gitignore
    1a4fcced: Add tags and cscope.out to gitignore

* Thu May 19 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.18.0
    7a92a2f1: Merge pull request #258 from lago-project/fix_yapf
    773eddad: Pinning down the version of yapf used

* Wed May 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.17.1
    143b8079: Merge pull request #255 from
              lago-project/fix_expnsion_of_vars_in_ova_url
    beeb7fc3: Expanding any vars on any url

* Tue May 17 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.17.0
    0fb13ba3: Merge pull request #241 from lago-project/expand_disk_paths
    a7f821a4: Added the preallocation=metadata option for qcow2
    9253f807: Added possibility to use env vars on disk path and url
    af5aa90e: Removed some duplication from prefix.py
    4f5866a5: Fixed a typo in a comment

* Mon May 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.13
    cc4ec5d1: Merge pull request #253 from lago-project/remove_old_run_command
    59446cf7: Using main lago run_command

* Fri May 13 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.12
    e5f6194a: Merge pull request #250 from
              lago-project/fix_ovirt_serve_cpu_usage
    ba6dda1e: Refactored the ovirtlago.utils module
    267cbad5: Just sleep in the busy loop

* Thu May 12 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.11
    353b6b64: Merge pull request #249 from
              lago-project/remove_reposync_verification
    c7ff5190: Removed the repo verification code

* Thu May 12 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.10
    48dcdb80: Merge pull request #248 from
              lago-project/fix_ssh_wait_propagation_default
    d6be8c1f: virt.VM.ssh:Use the propagation value passed

* Thu May 12 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.9
    1ed40888: Merge pull request #247 from
              lago-project/improve_ssh_connection_logging
    61813f2e: Fix wait_for_ssh logic
    287463ef: Added possibility to not propagate log task errors

* Thu May 12 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.8
    0b67c0d8: Merge pull request #246 from
              lago-project/show_changelog_on_readthedocs
    4dbcef9b: Generating the docs changelog on conf.py

* Wed May 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.7
    019b3360: Merge pull request #243 from lago-project/more_reposync_fixes
    89e8e0a0: Yet another small fix to better detect reposync issues

* Wed May 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.6
    df7eecaa: Merge pull request #242 from lago-project/add_changelog_to_docs
    902f2abf: Add changelog to the docs

* Wed May 11 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.5
    ffc2455e: Merge pull request #244 from lago-project/yapf_fixes
    52f0f187: Reformat everything to new yapf version

* Tue May 10 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.4
    87bfcbac: Merge pull request #240 from
              lago-project/add_initfile_path_env_var
    1ec94d55: Added LAGO_INITFILE_PATH env var when running init

* Tue May 10 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.3
    fa1101c8: Merge pull request #239 from lago-project/fix_log_typeerror
    f198efec: log_utils:Not failing on tracedump logs

* Sat May 07 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.2
    887a3b0f: Merge pull request #237 from
              lago-project/more_reposync_workarounds
    66cf1b32: Added workaround for reposync
    08ffada9: Yapf fixes

* Fri May 06 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.16.1
    e8b71c74: Merge pull request #236 from lago-project/make_prefix_relocatable
    ce103757: Yapf fixes
    6dd7228f: Using full path for prefix deploy script name
    86a8bde1: Setting LAGO_WORKDIR_PATH too on init
    7a661154: Copy inside the prefix the deploy scripts
    499c9912: Expanding the disks path on vm xml generation
    9f303608: Fixed wrong var name
    c5f6cafb: Using LAGO_PREFIX_DIR for the disk images too
    65b85349: Using the realpath for the LAGO_PREFIX_PATH env var
    907c116f: Maintain the usage of env vars for deploy scripts

* Wed May 04 2016 David Caro <dcaroest@redhat.com> - 0.16.0
    45764a95: Fixed small typo in a string

* Wed May 04 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.15.5
    66dec63b: Merge pull request #231 from lago-project/fix_el7_dirlock
    ccf6dca4: Added lock class for el7 locking
    9a6e370c: Use lago.utils.LockFile instead of lockfile's one
    98322f01: Removed thread pool on reposync
    167c8b7d: Moved some code out of a with block
    db836eda: Yapf fixes

* Tue May 03 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.15.4
    0e535676: Merge pull request #230 from lago-project/add_prefix_env_vars
    17e9be31: tests:Modified deploy funct tests to use vars
    1440adee: Add some lago extra vars to the env
    577c442a: Expand vars and user contraptions on deploy scripts

* Tue May 03 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.15.3
    a1a57978: Merge pull request #229 from lago-project/extra_gitignore
    2a5a3359: Added extra ignores to .gitignore

* Fri Apr 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.15.2
    25c91601: Merge pull request #227 from lago-project/fix_unhandled_exception
    8eeb43cc: Fixed wrong error log on reposetup

* Fri Apr 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.15.1
    5c5bc197: Merge pull request #226 from lago-project/fix_repoverify_check
    c4380a9a: Fixed repoverify not behaving like reposync
    d8c9ac55: Added new deps for the tests

* Sat Apr 23 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.15.0
    4b98d690: Merge pull request #223 from
              lago-project/try_cleaning_reposync_caches_on_first_failure
    f87101ee: Reposync first retry with clean caches

* Fri Apr 22 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.14.6
    fc4fadfc: Merge pull request #222 from lago-project/refactor_reposetup
    bc239971: Showing warning on reposync error
    c7d5d2d4: ovirtlago.repoverify:Refactored
    871bcb38: Showing the full command on debug mode
    df3e011a: Yapf fixes
    19d4730c: Fixed issue when metadata was empty
    07f1bb6e: ovirtlago:Removed unused code

* Thu Apr 21 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.14.5
    4915634a: Merge pull request #218 from
              lago-project/rotate_collect_dest_dir_if_exists
    d21f43e8: Added helper functions to rotate directories
    71e9bf5f: Collect now rotates the dest dir if exists
    b5e382af: tests:Added simple check for rotated dir

* Thu Apr 21 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.14.4
    648c4dc9: Merge pull request #216 from
              lago-project/add_skip_bootstrap_command
    4359c020: Some yapf fixes
    9651d5a7: func_tests_basic:Skipping the bootstrap where able
    ab8f5b6a: Added skip-bootstrap option to init command

* Wed Apr 20 2016 Yaniv Kaul <ykaul@redhat.com> - 0.14.3
    f153f35f: Merge pull request #201 from mykaul/simple_merge
    0e56fb42: Simplified merge repos

* Tue Apr 12 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.14.2
    d76184f6: Merge pull request #207 from lago-project/fail_on_empty_repo
    5df5905a: reposync:Failing on existing but empty repo

* Wed Apr 06 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.14.1
    e135989a: Merge pull request #209 from lago-project/move_deploy_to_lago
    406e56a8: test.deploy:Using smaller, local cirros image
    ba66fc58: lago.cmd: added deploy cli plugin
    20711c45: Adapted functional tests
    85212b62: Added check for the new deploy verb
    8423f4e5: Added deploy method to lago.prefix.Prefix
    aa1078db: Added cli verb 'deploy' to lago
    946d9773: ovirtlago:Using lago.prefix.Prefix.deploy

* Fri Apr 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.14.0
    6365ee3f: Merge pull request #205 from lago-project/check_vm_status_on_ssh
    d245810c: Differentiate alive and defined VM

* Fri Apr 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.8
    8e67f6e3: Merge pull request #200 from lago-project/fix_sysprep_logs
    0ee89ecd: Fixed string interpolation when showing sysprep error

* Fri Apr 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.7
    cc9ce487: Merge pull request #202 from lago-project/fix_ssh_issues
    15b83901: Fixed log_task decorator to return correct value
    1062778b: Not breaking on SSHException, just retry

* Wed Mar 30 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.6
    18ad3f95: Merge pull request #199 from lago-project/add_bootstrap_logs
    28986f25: Showing extra logs on sysprep errors

* Tue Mar 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.5
    46107dc3: Merge pull request #192 from lago-project/fix_changelog_format
    b9facdd3: Fixed changelog ugly formatting

* Thu Mar 24 2016 David Caro <david@dcaro.es> - 0.13.4
    5790112f: Merge pull request #194 from
              lago-project/assert_within_allow_exceptions
    c7625f43: ovirtlago:Breaking if any of the test fails
    942dfbce: ovirtlago:Added a wait for the engine to go up
    82df9f26: ovirtlago:not waiting if engine is not yet responsive
    ed528c1d: ci:Added some missing packages
    1b8252d9: testlib:Added possibility to allow exceptions
    0128bed7: ovirtlago:Added extra logging

* Mon Mar 21 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.3
    f5f60343: Merge pull request #193 from nirs/debugging
    aa50a9a3: ovirtlago: Improve logging when activating sds
    8b4d31d6: testlib: Log exceptions in assert_true_within

* Fri Mar 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.2
    b4b3ca9f: Merge pull request #190 from lago-project/use_default_init_file
    74ad2aa8: functional:Using default init file in one test
    615cda8b: Using default init config file

* Fri Mar 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.1
    3eaba195: Merge pull request #189 from lago-project/add_set_current_option
    f67fe114: functional:Added a test with set-current
    1df5e837: Added --set-current option to init subcommand

* Thu Mar 17 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.13.0
    5db8fa0f: Merge pull request #117 from
              lago-project/move_collect_to_main_cli
    738b2f06: functional:Fixed ovirt.collect prefix init check
    987fb170: Added collect functional tests
    1952318c: Extract the artifacts from the vm spec by default
    b6c0deca: func:Fixed ovirt.collect tests when shutdown
    00658841: Fix scp extraction and nicer logs
    9f83d006: Moved collect_artifacts to lago.prefix.Prefix
    6c687393: Moved collect_artifacts to lago.virt.VM
    a019410e: Added collect basic test
    632b94ee: Added lago collect cli subcommand
    534b6ebe: Adding recursive scp by default
    f1002529: ovirt:Using inherited artifacts for collection
    56803b40: Not appending the messages log on >fc22 hosts
    a6f5a87d: Better handling of hosts with no service manager
    6054984d: docs:Fixed a couple warnings

* Thu Mar 17 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.7
    e70e4a64: Merge pull request #188 from lago-project/fix_conf_defaults
    79710a2f: Added config defaults to code

* Wed Mar 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.6
    ffd4e51f: Merge pull request #186 from
              lago-project/some_issue_script_improvements
    e239c2f7: Fixed issues management scripts

* Wed Mar 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.5
    d8b09550: Merge pull request #183 from
              lago-project/fix_hosts_stuck_on_ssh_connectivity
    75543f8e: Added some collect functional tests
    212d9ef7: Added timeout to the ssh connection function
    02f4815c: functional:added fixtures
    08879452: Added dead/live/scp extracting from the vms

* Wed Mar 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.4
    724a7d78: Merge pull request #185 from lago-project/fix_docs_version
    24af5b1c: docs:use setup.get_version for the docs version
    98a64ceb: setup.get_version:specify custom project path

* Wed Mar 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.3
    00cfcba7: Merge pull request #182 from
              lago-project/add_issue_manage_scripts
    c645e0f8: org:Added small scripts to manage taiga issues

* Tue Mar 15 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.2
    eefd52fd: Merge pull request #181 from mykaul/collect_var_log_messages
    66e29951: Collect /var/log/messages from hosts. Useful at times.

* Tue Mar 15 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.1
    f0922bc4: Merge pull request #177 from lago-project/improve_docs
    ab6e4ff6: docs:Moved releases section to the end
    735e6359: docs:Fix a couple of leftovers from the name change
    2f79bce2: docs:explicitly say to wait for reboot
    ec4e412c: docs:Moved README to rst
    3ee023c1: pgk:Removed mock references
    9b6d4665: docs:Added mission statement

* Thu Mar 10 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.12.0
    973e2689: Merge pull request #175 from lago-project/show_correct_vm_status
    df95b6df: Now it will show the libvirt status of the domains
    624f1ba4: Adapted functional tests

* Thu Mar 10 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.11.6
    69d454ee: Merge pull request #174 from lago-project/fix_test_name_typo
    687a563e: unit:fixed small typo

* Thu Mar 10 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.11.5
    bddea9bc: Merge pull request #172 from mykaul/remove_balloon
    c9d85554: Remove the memory balloon device. We don't use it.

* Wed Mar 09 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.11.4
    1103cdda: Merge pull request #157 from lago-project/add_workdir
    a9c43a59: tests:Fixed the prefix path resolution
    0a5bd28a: Added prefix path resolution to the Prefix class
    04e8c3d4: Removed explicit Path.prefix usage
    6aaba7a9: Added the new cli plugins
    354f9a93: Fixed el7 python lib issues
    bb0e2707: Improved the default output formatting
    e38d43ad: Don't require tty for sudoing from lago
    1d555c86: Moved destroy logic to prefix class
    266407e8: Added multi-prefixed workdir
    4ffc9019: Fixed a couple of doc warnings
    56bc5ce7: Adapted unit tests
    a5a6f7a6: functional:adapted the warnings test
    c83a1188: Moved to the utils.in_prefix
    e965dfcf: Added workdir unit tests
    405751cd: Added workdir module
    de3f651b: functional:Fixed tests on el7
    1c1198a1: Moved the in_prefix and with_logging decorators
    9051a900: Added OvirtWorkdir class
    11873b01: Adapted functional tests to new workdir concept
    6fc57a2c: Added license to unit test modules
    b4379301: ovirtlago:Added deprecated options
    eb0b8162: Moved to plugin structure

* Wed Mar 09 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.11.3
    44b93c70: Merge pull request #169 from mykaul/ignore_empty_rpms_on_merge
    89fa3dec: Ignore zero sized RPM files when merging repos.

* Mon Mar 07 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.11.2
    4843a753: Merge pull request #158 from mykaul/gitignore_authors
    e2cde458: Add AUTHORS to 'make clean' command

* Mon Mar 07 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.11.1
    e29f30e5: Merge pull request #166 from lago-project/add_ignore_warnings
    b9ab1f6c: Added ignore-warnings option

* Wed Mar 02 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.11.0
    7ca3109f: Merge pull request #154 from
              lago-project/add_heavy_functional_tests
    4d80e8d6: Added snopshot functional tests
    647e66a1: Added ovirt.runtest functional tests
    630d70e9: Added ovirt.collect functional tests
    43d14da1: Add the functional fixtures to the flake8 exclude
    ef552218: Added ovirt.deploy functional tests

* Tue Mar 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.10.7
    66a4f341: Merge pull request #153 from
              lago-project/refactor_functional_tests
    24ff36d1: Added ovirt_common lib
    6fb9afa9: Added common.diff_output
    5958e902: Using the new common lib
    febdcef6: Using the new ovirt_common lib
    092f62a2: Added common lib
    b7be003b: Added run_ok and run_nook helpers

* Tue Mar 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.10.6
    c1816909: Merge pull request #152 from lago-project/add_perfix_option
    d7aa918b: Added explicit prefix basic functional test
    73b6a2c0: Added --prefix-path option to the lago command

* Tue Mar 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.10.5
    5178f92f: Merge pull request #151 from lago-project/yaml_init_definition
    9eeaaa4c: Unit tests for deep_copy and load_virt_stream
    79bb6ca2: Comment in the docs/help about virt config formats
    1d6650bf: Added yaml support for the init conf file

* Tue Mar 01 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.10.4
    5deacaec: Merge pull request #150 from lago-project/more_pythonic_structure
    7230a07d: Moving to pbr for python building
    0dce83b2: Fixed firewalld command error on install
    57c9c6b6: Removed some old code from the Makefile and spec
    1004a004: Remove unneeded changelog macro in specfile
    83e2b039: Moved python packages to root dir
    cd4914f9: Fix the destroy tests
    2ef91e33: Removed old files, and moved the ones left to etc
    06adabd8: Reorganized the spec file
    d122a33e: Moved most files to python-lago rpm
    fd7f5690: Fix pip cache dir permissions
    20b7a386: Moved some confs to setup.cfg
    f0336012: Removed authors, now it's autogenerated
    bba9097e: Removed unneeded make target
    129dba50: Allow python setup * commands to work

* Mon Feb 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.10.3
    66719c8f: Merge pull request #144 from lago-project/destroy_command
    62bdef11: tests:Added destroy basic functional tests
    8a0d9590: fix:Destroy also perfixes that are soft-links
    1c408675: Added the destroy command

* Mon Feb 29 2016 Gal Ben Haim <galbh2@gmail.com> - 0.10.2
    d22f7073: Merge pull request #132 from lago-project/add_dev_bootstrap
    09b03ae1: Added page with some resources for new devs

* Sun Feb 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.10.1
    e3ebea1f: Merge pull request #146 from mykaul/fix_gitignore2
    65b351b6: Add 'rpmbuild' and 'lago.egg-info' to .gitignore

* Fri Feb 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.10.0
    555a5a26: Merge pull request #142 from lago-project/add_snapshot_list
    f3631f1d: Added --list|-l option to snapshots command
    1e540982: lago.Prefix:add method to retrieve snapshots info
    698c4020: virt.py:add method to retrieve snapshots info

* Fri Feb 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.8
    548e1e36: Merge pull request #140 from lago-project/add_output_formatters
    6c84bc71: Added output plugins
    f194af03: Making status deterministic
    b1cf020d: Add output plugins registries and deps
    0cbea929: Add --out-format|-f option, and use it on status
    bf1b6a84: Adapted functional tests to the new status output
    a38bcaa1: Adding all the fast functional tests to check-patch
    aa8d9f88: Fix docs imports
    80fa3cd2: Added format status functional tests

* Fri Feb 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.7
    08e8303d: Merge pull request #143 from
              lago-project/add_default_template_repo
    7774d8e9: Added current public template repo as default

* Fri Feb 26 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.6
    ec0e365e: Merge pull request #138 from lago-project/use_default_prefix
    2bbf2903: prefix.py: removed internal _create_paths method
    b3d94b8c: tests:Added unit tests for prefix path resolution
    7b940c22: Created lago.prefix module
    0686c9dd: ovirt.Prefix:Move the paths creation to __init__
    eed99f11: path.py:Removing unneeded prefix() getter
    4559d126: tests:Adapted tests to the new default prefix
    49942bb3: prefix.py:Added resolve_prefix_path function
    531559ec: prefix.py: removed paths getter method
    d9438c8c: Using 'initialized' as the initialization tag file
    721676cf: tests:Fixed status functional suite
    6053e41d: Fixed in_prefix in ovirt plugin

* Tue Feb 23 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.5
    fe620aa6: Merge pull request #136 from lago-project/add_version_command
    95b89dd6: Added the --version option

* Tue Feb 23 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.4
    8f32fadf: Merge pull request #134 from
              lago-project/use_direct_libguestfs_backend
    02a31336: Use direct libguestfs backend by default

* Tue Feb 23 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.3
    545ac526: Merge pull request #130 from lago-project/flakes_ignore_rpmbuild
    0c36748f: Don't run flakes on rpmbuild/dist dirs

* Mon Feb 22 2016 Yaniv Kaul <ykaul@redhat.com> - 0.9.2
    eab105f1: Merge pull request #131 from mureinik/readme
    c5780355: README: Add reference to other EL distros

* Mon Feb 22 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.1
    a6f894b5: Merge pull request #128 from
              lago-project/brctl_add_some_error_info
    20da024b: Fixed bridge tests when running without tty
    1b1da49b: Added some extra info on brctl error

* Fri Feb 19 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.9.0
    6c1c0926: Merge pull request #123 from lago-project/fix_ovirt_caps
    0dc96675: ovirt:Fixed issue with no capabilities

* Fri Feb 19 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.11
    a956e87e: Merge pull request #122 from
              lago-project/add_ovirt_deactivate_logs
    8af072c3: Added some extra logs to ovirt prefix _deactivate

* Fri Feb 19 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.10
    c7f54e15: Merge pull request #24 from david-caro/add_devel_docs
    dec4c3b7: docs:Added small page with devel setup guide
    6c1d7ab2: ci: generate report if no code changed

* Thu Feb 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.9
    3f91a3ae: Merge pull request #121 from lago-project/move_to_pytest
    dcaf87c6: Moving to py.test

* Thu Feb 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.8
    283d26b4: Merge pull request #120 from
              lago-project/fix_ovirt_tasknoseplugin_import
    7ed5cb4b: Fix wrong import of TaskLogNosePlugin

* Thu Feb 18 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.7
    78078f3c: Merge pull request #119 from lago-project/fix_bridged_start
    f46a1953: Work around linux bridge name length limit
    7f8981da: Adding state command functional tests
    6c656bb7: Not failing if there are no management networks
    840d3956: Fix start a bridged network that's already alive

* Wed Feb 17 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.6
    3d77ce71: Merge pull request #90 from
              lago-project/update_docs_link_and_image
    a433efed: Fix github link
    9148ca2b: Changed logo to latest one

* Tue Feb 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.5
    4c7dddc6: Merge pull request #118 from lago-project/fix_package_deps
    a2134879: Moved the TaskLogNosePlugin to ovirt
    0f19c9ad: Generating the changelog for the spec file too
    0ffd1fd3: Added missing requires
    592417b0: Pep8 fixes
    0d4f9e06: Properly testing all the dependencies
    fb51e0d2: Fixed packaging on el7 too
    5cb35608: Changing also the check-merged to check deps
    32c7a19f: Added fc22 build support
    5d85a5ba: Simplified the flake8 tests run

* Tue Feb 16 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.4
    0b886d90: Merge pull request #22 from lago-project/fix#22
    1803d729: doc: adding clarification on the defalt images location.

* Wed Feb 10 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.3
    ea96ad32: Merge pull request #103 from lago-project/add_user_home_note
    b28c21a1: docs:Added note on user home rights

* Mon Feb 08 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.2
    93dcbdf2: Merge pull request #96 from tlitovsk/sshAvoid
    a20cff51: Avoiding ssh connection for hosts that have no ovirt-scripts
              assigned
    bbcebcd0: Adding support for ovirt node specific VM's

* Fri Feb 05 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.1
    5920c528: Merge pull request #86 from lago-project/complete_basic_tests
    18048436: Added copy-from-vm basic test
    d6f9d0dd: Using non-cloud-init minimal vm
    9b37e0af: A couple of tests that were using wrong prefix
    53c4ddaa: Added shell basic tests
    c779cfc2: Added basic copy-to-vm tests

* Thu Feb 04 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.8.0
    3526c998: Merge pull request #87 from
              lago-project/add_serial_console_command
    ee68f156: Added console cli command

* Thu Feb 04 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.10
    c9f3db69: Merge pull request #78 from tlitovsk/qcowAddOn
    54e02ff8: Adding use of backing mode for qcow2 files

* Wed Feb 03 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.9
    63ce7004: Merge pull request #82 from lago-project/move_to_scp
    6b174850: Moving from sftp to scp for copy to/from vms

* Wed Feb 03 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.8
    24119a0f: Merge pull request #85 from lago-project/ci_process
    5ff64789: Added CI process to the docs

* Wed Feb 03 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.7
    27f59067: Merge pull request #84 from lago-project/fix_ci_check-patch
    e9ff16df: Fix changed file detection

* Wed Feb 03 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.6
    b6b25ac1: Merge pull request #83 from lago-project/pep8_fixes
    3f294250: Pep8/yapf fixes

* Wed Feb 03 2016 Tolik Litovsky <anatoly.lit@gmail.com> - 0.7.5
    c20e6bdf: Merge pull request #77 from tlitovsk/ovaOvirtSupport
    03a48386: Adding the ssh timout to the spec
    4cbca73d: Adding correct ova disk metadata about rootfs
    44659f5b: Making the disk order correct for ova case

* Wed Feb 03 2016 Tolik Litovsky <anatoly.lit@gmail.com> - 0.7.4
    c3e6b74c: Merge pull request #76 from tlitovsk/sshTimeOut
    263bcf4d: Adding the ssh timout to the spec

* Sun Jan 31 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.3
    40cc5191: Merge pull request #70 from lago-project/fix_copy_from_vm
    24f83bf8: Fixed issue with copy-from-vm

* Sat Jan 30 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.2
    8863b85d: Merge pull request #68 from lago-project/fix_init_cleanup
    fb56df35: Fixed prefix cleanup on init failure

* Fri Jan 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.1
    e5eddc97: Merge pull request #67 from lago-project/fix_versioning
    52599eea: Fixed the version generation

* Fri Jan 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.0
    36279c9f: Merge pull request #66 from lago-project/move_to_cliplugins
    95a75427: Moved the lago subcommands to cli plugins

* Thu Jan 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.6.10
    cc993a41: Merge pull request #64 from lago-project/fix_el6_slow_boot
    aa273329: Add serial pty to the domains

* Thu Jan 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.6.9
    35bea980: Merge pull request #62 from lago-project/fix_trailing_slash
    8fb23bce: Using posixpath.join to concatenate urls

* Wed Jan 27 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.6.8
    007fc96b: Merge pull request #44 from lago-project/fix_root_part_metadata
    4f3a41ff: virt:Fixed fetching of the root-partition key

* Tue Jan 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.7
    0d81d8cb: Merge pull request #37 from mykaul/download_progress
    be50406a: Progress report for template download
    7f76aec9: Progress report for template download
    4a09525c: Download progress

* Tue Jan 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.6
    70ab5b41: Merge pull request #29 from mykaul/download_progress
    be50406a: Progress report for template download
    7f76aec9: Progress report for template download
    2ea01518: Merge branch 'download_progress' of
              https://github.com/mykaul/lago into download_progress

* Mon Jan 25 2016 David Caro <dcaroest@redhat.com> - 0.6.5
    ca27b651: Checking the last commit on the checkstyle

* Mon Jan 25 2016 David Caro <dcaroest@redhat.com> - 0.6.4
    65ebc75b: Fixed yapf check when no files changed

* Mon Jan 25 2016 Tolik Litovsky <anatoly.lit@gmail.com> - 0.6.3
    847c0d16: Merge pull request #28 from tlitovsk/master
    fc88679b: Support storing of disk url's into given path

* Sun Jan 24 2016 David Caro <david@dcaro.es> - 0.6.2
    c3a81a77: Merge pull request #27 from david-caro/add_lago_cli
    358e72ed: Added lago cli command

* Sat Jan 23 2016 David Caro <david@dcaro.es> - 0.6.1
    1420a636: Merge pull request #26 from david-caro/log_tweaks
    2da97bba: Removed task start message
    29676579: logs:Changing the priority of start/stop vm/net

* Fri Jan 22 2016 David Caro <dcaroest@redhat.com> - 0.6.0
    b4988b0f: Added yapf style

* Thu Jan 21 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.20
    974623e4: Fix for reposync command, not to leave leftovers in /var/tmp/yum*

* Thu Jan 21 2016 David Caro <dcaroest@redhat.com> - 0.5.19
    de56c593: Added start/stopping of single vms
    FIXED BUGS: BZ#1279441

* Thu Jan 21 2016 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.5.18
    90afb0fe: Add python_provide macros to spec

* Thu Jan 21 2016 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.5.17
    62db22f7: Fix SyntaxWarning on global variables

* Thu Jan 21 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.16
    8f15a2df: Small fixes to virt.py

* Thu Jan 21 2016 Tolik Litovsky <tlitovsk@redhat.com> - 0.5.15
    f5874cb4: Adding option to provide iso as a disk.

* Thu Jan 21 2016 David Caro <dcaroest@redhat.com> - 0.5.14
    3f05b300: tests:Removed unneded extra var expansion

* Thu Jan 21 2016 Tolik Litovsky <tlitovsk@redhat.com> - 0.5.13
    b09cbd3b: Adding option to upload ova files to the lago env

* Thu Jan 21 2016 David Caro <dcaroest@redhat.com> - 0.5.12
    1ca5f60b: Added url support to file image provider

* Thu Jan 21 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.11
    4f3145c6: Add sleep in assertion loop

* Wed Jan 20 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.10
    b0a6e828: Changes to dom_template.xml

* Wed Jan 20 2016 David Caro <dcaroest@redhat.com> - 0.5.9
    2a10350b: Fix composed plugins calls

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.8
    c820276f: Removed unnecessary macros from spec

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.7
    3dd1c7e1: Added CLIPlugin abstract class and entry points

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.6
    98630665: Added nice colored logging to lago
    FIXED BUGS: BZ#1277674

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.5
    e02497b3: packaging:Added version manager script

* Tue Dec 29 2015 Doron Fediuck <dfediuck@redhat.com> - 0.5.4
    99e0eeee: Docs: initial santity

* Fri Dec 18 2015 David Caro <dcaroest@redhat.com> - 0.5.3
    122891d5: docs:Fixed the current errors

* Fri Dec 18 2015 David Caro <dcaroest@redhat.com> - 0.5.2
    863ae850: Added html report generation

* Fri Dec 18 2015 Martin Perina <mperina@redhat.com> - 0.5.1
    7658c14f: Configure virtio-rng for VMs

* Wed Dec 16 2015 David Caro <dcaroest@redhat.com> - 0.5.0
    8cf2965c: Added compressed images support to the url handler
    FIXED BUGS: BZ#1284838

* Fri Dec 11 2015 David Caro <dcaroest@redhat.com> - 0.4.27
    8e976326: Updated repo url in the readme

* Fri Dec 11 2015 David Caro <dcaroest@redhat.com> - 0.4.26
    75e10f93: Added release procedure
    FIXED BUGS: BZ#1288062

* Wed Dec 09 2015 David Caro <dcaroest@redhat.com> - 0.4.25
    3fe2fa62: Added URL support for --template-repo-path
    FIXED BUGS: BZ#1288582

* Thu Dec 03 2015 David Caro <dcaroest@redhat.com> - 0.4.24
    4ef1e378: Adding simple changelog to the dist tarball

* Thu Dec 03 2015 David Caro <dcaroest@redhat.com> - 0.4.23
    9d16b0dd: pkg:Fixed wrong release version string

* Wed Dec 02 2015 David Caro <dcaroest@redhat.com> - 0.4.22
    4a8a932a: Fix for the selinux relabeling
    FIXED BUGS: BZ#1287173

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.21
    96546351: docs:Added ovirtlago.repoverify module docs

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.20
    8a8125a9: docs:Documented the subnet_lease module

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.19
    98b0731c: docs:Added docs to ovirtlago.utils

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.18
    f6e57583: docs:Adding docs to lago.templates module

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.17
    518fbdcc: docs:Added docs for lago package __init__

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.16
    dbeb01d5: docs:Allowing google style docstrings

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.15
    08c5a898: automation: added docs handling

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.14
    7167f207: Added small note on libvirt restart when new user

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.13
    d0217abd: docs: Putting the getting started section on top

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.12
    ba4f1be5: Added small log when downloading a template

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.11
    dfade4ef: docs:Added yum repofile examples to the install docs
    FIXED BUGS: BZ#1282904

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.10
    1fab8595: docs:Adding a note on disk requirements in the example
    FIXED BUGS: BZ#1282906

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.9
    5248291e: Added nice logo to the docs

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.8
    260e05dc: doc:Added libvirt restart and note on permissions

* Wed Nov 25 2015 David Caro <dcaroest@redhat.com> - 0.4.7
    3a8c9576: Not removing uuid on cleanup
    FIXED BUGS: BZ#1281282

* Sat Nov 21 2015 Eyal Edri <eedri@redhat.com> - 0.4.6
    ca3ef20c: doc: fixing typo for example on local templates repo

* Thu Nov 19 2015 David Caro <dcaroest@redhat.com> - 0.4.5
    1a22c4a3: docs:Added ovirt deps install in the example
    FIXED BUGS: BZ#1283333

* Thu Nov 19 2015 David Caro <dcaroest@redhat.com> - 0.4.4
    823bc12e: docs:Adding note on rh office repo

* Thu Nov 19 2015 Eyal Edri <eedri@redhat.com> - 0.4.3
    24ea258d: doc: add some info on first step download of templates & faq
    FIXED BUGS: BZ#1283669

* Tue Nov 17 2015 David Caro <dcaroest@redhat.com> - 0.4.2
    147f785d: Added sudo dependency
    FIXED BUGS: BZ#1279054

* Mon Nov 16 2015 David Caro <dcaroest@redhat.com> - 0.4.1
    1f9e5fc1: Fixing readme distros list
    FIXED BUGS: BZ#1282501

* Mon Nov 16 2015 David Caro <dcaroest@redhat.com> - 0.4.0
    eff7f437: Fixing reposync defaults

* Mon Nov 16 2015 David Caro <dcaroest@redhat.com> - 0.3.6
    29dbe509: Adding sphinx docs
    FIXED BUGS: BZ#1282163

* Thu Nov 12 2015 David Caro <dcaroest@redhat.com> - 0.3.5
    dff25485: Remove unmaintained files and lago-ovirt-extras package
    FIXED BUGS: BZ#1277649

* Thu Nov 12 2015 David Caro <dcaroest@redhat.com> - 0.3.4
    0954cbdd: Updating readme with new tests location
    FIXED BUGS: BZ#1279433

* Mon Nov 09 2015 David Caro <dcaroest@redhat.com> - 0.3.3
    163e8a2b: Sorting and removing dupes form the .packages

* Mon Nov 09 2015 David Caro <dcaroest@redhat.com> - 0.3.2
    093e9a6c: Fixed the running of the tests on fc23

* Wed Nov 04 2015 David Caro <dcaroest@redhat.com> - 0.3.1
    174d8755: Updated the README and example script

* Mon Nov 02 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.3.0
    a808c0b6: Adapting 3.5 tests

* Mon Nov 02 2015 David Caro <dcaroest@redhat.com> - 0.2.167
    df8f6e7e: Added the 3.5 tests

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.166
    6828ba67: Fixing a bit the return codes

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.165
    970755d6: Setting el6 engine

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.164
    641d9a0c: Using --config-append instead of --config

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.163
    5f866992: Adding guid bit to the lib dirs

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.162
    73a29afa: Refreshed the repos

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.161
    7aae95ac: Adding the store configs

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.160
    c3e83301: adding qemu cbs to support master branch with centos7

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.159
    70aab26e: Adjusting the bootstrap for master

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.158
    0d911bc3: Fixing the engine answer file

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.157
    62cdaaee: Updating the master branch repositories

* Thu Oct 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 0.2.156
    c407952b: packaging: spec: fix rpmlint issues

* Thu Oct 15 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.155
    887a6c35: Fixing the readme to have direct link to github

* Thu Oct 01 2015 David Caro <dcaroest@redhat.com> - 0.2.154
    30c49a83: Merge "Moving to setuptools"
    948690d6: Moving to setuptools

* Thu Sep 10 2015 David Caro <dcaroest@redhat.com> - 0.2.153
    6f12ba99: Merge "Modify paths in readme file"
    841f108d: Modify paths in readme file

* Wed Sep 09 2015 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.2.152
    7d66bd10: Fix sysprep of non-dhcp interfaces

* Sat Sep 05 2015 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.2.151
    428cc247: Use standard 1st param in classmethods

* Mon Aug 31 2015 David Caro <dcaroest@redhat.com> - 0.2.150
    b36d49a6: Add functional tests

* Thu Aug 27 2015 David Caro <dcaroest@redhat.com> - 0.2.149
    41733624: Allowing user paths and vars for templates

* Thu Aug 27 2015 David Caro <dcaroest@redhat.com> - 0.2.148
    97a13130: Adapted gitreview file

* Wed Aug 26 2015 Max Kovgan <mvk@redhat.com> - 0.2.147
    1c9f8ee6: rename testenv to lago totally

* Mon Aug 24 2015 David Caro <dcaroest@redhat.com> - 0.2.146
    79cb1e35: Reorganizing for standard-ci

* Tue Aug 18 2015 Max Kovgan <mvk@redhat.com> - 0.2.145
    56ec8524: reduce some code dups

* Tue Aug 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.144
    3f124d78: Move sysprep to system session

* Tue Aug 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.143
    9069f4b6: Added warning to testenvcli when invoking without testenv group

* Mon Aug 17 2015 Yeela Kaplan <ykaplan@redhat.com> - 0.2.142
    e67da6f8: Allow the use of prototypes for domains

* Mon Aug 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.141
    b28c732f: Updates to the json README

* Mon Aug 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.140
    a75ae5b9: Switch bootstrap code to rely on virt-sysprep

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.139
    8f357999: Fix allocation of x.x.x.0 ips

* Sun Aug 16 2015 Shahar Havivi <shaharh@redhat.com> - 0.2.138
    fdd1070d: Copy files to/from a host

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.137
    59411f17: Refactor net initialization code

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.136
    e0c0a66f: Fix some comments for RollbackContext

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.135
    fbbf1569: Exit when build script has insufficient parameters

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.134
    254bb373: Add ioprocess building

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.133
    d9a05b57: Add invoke_in_parallel function

* Thu Aug 13 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.132
    5376da70: Fix vdsm/engine/... build scripts

* Sun Aug 09 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.131
    777685db: Add 'ovirt serve' verb

* Wed Aug 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.130
    b95e794a: Fix JSON schema

* Wed Aug 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.129
    77be26bf: Update VDSM build scripts to build for fc21/22

* Wed Jul 29 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.128
    2c61ca2e: update_images: Convert image paths to absolute

* Tue Jul 28 2015 David Caro <dcaroest@redhat.com> - 0.2.127
    2687fb25: Quoting some dangerous vars on build-artifacts

* Sun Jul 12 2015 David Caro <dcaroest@redhat.com> - 0.2.126
    75e32aa8: Adding a little message when opening a shell error

* Sun Jul 12 2015 David Caro <dcaroest@redhat.com> - 0.2.125
    80713479: Adding git review file

* Tue Jul 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.124
    ef81c274: Remove jboss home path parameter from engine setup verb

* Tue Jul 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.123
    b7e0c0ab: Refactor ssh and service handling

* Mon Jul 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.122
    c3ec2647: Fix DHCP/DNS record gathering

* Mon Jul 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.121
    57c59290: Add bootstrap of several NICs

* Mon Jul 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.120
    579c8e5f: Revert ssh ret changes until ssh methods are done

* Sun Jul 05 2015 Oved Ourfali <oourfali@redhat.com> - 0.2.119
    3a75e325: Update README.templates.md

* Thu Jul 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.118
    106ef552: Add automation build script

* Thu Jul 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.117
    e0bb9d70: Fix pep8 warnings

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.116
    bc6935b9: Fix distro detection

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.115
    bc3e66a8: Simplify basic_sanity test

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.114
    1496ed4d: Simplify bootstrap test

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.113
    f277d964: Remove explicit host names from tests

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.112
    b1583b0b: Remove unused files

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.111
    be8f7e7f: Add more info to templates README

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.110
    98a3b14a: Move templates README

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.109
    f2d52cf9: Add README with info about templates

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.108
    8c4d1dcd: More README updates

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.107
    fb5a5905: Update README files

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.106
    c4754735: Add requirement for qemu-img/qemu-kvm packages

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.105
    74cd9d9a: Add test for engine-setup step

* Tue Jun 23 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.104
    dae0321f: Added live-snapshot capability to centos7 config

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.103
    3cc62120: Fix sftp access

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.102
    fb659a57: Remove external repo disabling

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.101
    b4f1c3ed: Update image update script

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.100
    83eeddbf: Add output override to makefile rpm and dist targets

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.99
    a002d158: Fix interactive_ssh

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.98
    4dd81ffe: Remove SSH client reuse and add explicit SSH termination

* Thu Jun 11 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.97
    9e28762e: testenvcli ovirt collect: make --output flag mandatory

* Wed Jun 03 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.96
    ed415a0b: Adding the container scenario to setup of rpms

* Tue Jun 02 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.95
    d5178553: Moving the container deploy to engine.

* Mon May 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.94
    99e02ef7: Add git to BuildRequires

* Mon May 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.93
    3019af9d: Add json schema readme

* Mon May 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.92
    009a2e8b: Add libvirt cache workaround to centos7 config

* Thu May 21 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.91
    ba2b8f21: Fix srpm inclusion in internal repo

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.90
    42f49e6c: Remove print statements

* Mon May 18 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.89
    fec0364a: updating the container build script

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.88
    056c15a8: More fixes for merge_repos module

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.87
    911c1e7b: Change RPM header retrieval

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.86
    fc714c66: Added excludes to repo files

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.85
    213c1b09: Fix merge_repos code to handle latest and greatest noarch vdsm

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.84
    26199494: Make NAT default forward mode for testenv

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.83
    11e92b34: Fix status verb

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.82
    459d6714: Remove te- prefix from bridge networks

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.81
    10d22fbf: More fixes for bridge network type

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.80
    a3679a3e: Fix errors in BridgeNetwork code

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.79
    0654bfef: Fix attribute error in Network class

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.78
    363576ee: Add CommandStatus type and use it in run_command

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.77
    37ceb52b: Fix PEP8 errors

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.76
    d55cd4c7: Avoid allocating addresses on bridge networks

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.75
    120e0d1f: Add safelease sync from EPEL

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.74
    3e7ad64b: Fix typo in NATNetwork and BridgeNetwork

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.73
    bc776c36: Add elaborate rules for testenv sudoers

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.72
    ecad8786: Add bridge type network

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.71
    b3169fff: Fix PEP8 for setup.py

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.70
    40d80042: Make template check less strict

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.69
    6b409b64: README fixes

* Sun May 17 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.68
    a0739b69: Fixing correct host setup script and memory

* Sun May 17 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.67
    ab4bd673: autopep8 the code

* Sun May 17 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.66
    22f1b5e5: Adding handling of systemd in a container and outside of him

* Wed May 13 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.65
    fe8487f2: Adding container config samle

* Mon May 11 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.64
    4d9d9c79: Adding setup script of container based node

* Mon May 11 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.63
    76f65140: Add missing file from commit a973e026

* Sun May 10 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.62
    4db3effa: Add fix for stuck CLI verbs

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.61
    1259f3bb: Refresh the README slightly

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.60
    dcd792d0: Fix makefile spec target

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.59
    8570da3f: Move config files into testenv-ovirt-extras package

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.58
    75e1c7e4: Clean old rpms when uploading new ones

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.57
    a7b90ee8: Add repo building targets to makefile

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.56
    12bd917f: Refactor scp_to/from code

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.55
    eab07c7a: Change the defaul log level to debug

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.54
    a973e026: Add BZ#1195882 workaround for libvirt

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.53
    345eafc7: Renovate image update script

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.52
    738b05ea: Fix create_disk bug

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.51
    b6d34bcd: Fix python2 call

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.50
    ce2fe900: Move deploy paths into virt config

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.49
    2ea8356e: Split out bootstrap steps

* Sat May 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.48
    0feea52e: Add flake8 source check to build process

* Thu Apr 30 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.47
    465d001d: Fix build_engine bugs

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.46
    41715c31: Add repo management utility

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.45
    0c59c9b6: Add option to configure default repo to use

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.44
    a23541bb: Add option to skip syncing the repository

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.43
    50379c5e: Add option to store templates inside configurable testenv path

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.42
    5bc7c76a: Fix white/blacklist filtering in repoverify

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.41
    2f0fa7b0: Fix incorrent attribute access

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.40
    82c68d52: Remove unneeded code

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.39
    be4529f3: Cleanup of method calls to properties

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.38
    d5fbe1ba: Add exclude for big RPMs we don't need

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.37
    f506cb99: Add building of vdms-jsonrpc-java component

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.36
    23b3b43f: Fix internal reposync config

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.35
    26d5b1f5: Tidy up build scripts

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.34
    ea982b06: Fix missing template hash in logs

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.33
    3b8d3503: Make log level configurable

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.32
    b5623b0e: Add pre-configured default paths to installation

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.31
    1532537c: Introduce configuration files

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.30
    e1331435: Fix collect verb

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.29
    84a8471a: Add option to exclude packages from repoverify

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.28
    10b524db: Fix RPM filtering by arch

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.27
    36e08bcb: Exclude downloading jasperreports-server when syncing nighly RPMs

* Mon Apr 13 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.26
    188d0cd7: Add log collection verb

* Mon Apr 13 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.25
    fc09ae74: Revert "Update Blank template name to Default"

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.24
    fe193ed9: Fix get_api() code

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.23
    dc3252f9: Fix passing arguments to select.select

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.22
    a4998506: Update Blank template name to Default

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.21
    49b30181: Enable persistent auth in ovirtsdk API

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.20
    b2a40ab4: Convert possibly unicode string to ascii

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.19
    dacf4710: Add timeout to ssh interactive loop

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.18
    a1dde065: Convert possibly unicode strings to ascii

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.17
    379b12ad: Add more information to ssh command logs

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.16
    f96b9693: Detect what distros to sync/build from template versions

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.15
    7d2f885d: Use password from template when adding host to engine

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.14
    7396e2e4: Fix NIC info identation in status verb

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.13
    c3819d96: Import template metadata into the VM objects

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.12
    50fc1c6a: Change discovered verbs filter order

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.11
    466235ec: Add template repository support

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.10
    e8b07bfe: Fix wrong index in shell verb

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.9
    06b62b73: Make except clause more precise

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.8
    8b4155cb: Fix premature output cutoff in ssh commands

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.7
    f43a6ef6: Add 3.5 answer file for EL6

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.6
    70748698: Fix ovirt-capabilities in CentOS6/7 virt configurations

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.5
    85c702fc: Remove templates directory symlink

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.4
    8ead2755: Get rid of external repo symlink

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.3
    7fea1d7d: Fix prefix metadata load/save code

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.2
    0d154afb: Fix HTTP server context

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.1
    9d399c14: Fixes for source revisions

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.0
    517b7c80: Initial squash from bit-bucket repo

* Tue Aug 12 2014 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.1
    6624afc3: Initial commit

